Index: code/trunk/visual_studio/audio_properties.vsprops
===================================================================
--- code/trunk/visual_studio/audio_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="audio_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="AUDIO_SHARED_BUILD"
-		DisableSpecificWarnings="4244"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="libvorbisfile-1.2.0$(CSS).lib alut$(CS).lib OpenAL32$(CS).lib"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/ceguilua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/ceguilua_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="ceguilua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="CEGUILUA_EXPORTS"
-		DisableSpecificWarnings="4996"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="CEGUIBase$(CS).lib"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/core_properties.vsprops
===================================================================
--- code/trunk/visual_studio/core_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="core_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="CORE_SHARED_BUILD"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/cpptcl_properties.vsprops
===================================================================
--- code/trunk/visual_studio/cpptcl_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="cpptcl_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/lua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/lua_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="lua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		CompileAs="1"
-		DisableSpecificWarnings="4996"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/network_properties.vsprops
===================================================================
--- code/trunk/visual_studio/network_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,18 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="network_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;WIN32_LEAN_AND_MEAN"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="enet$(CS).lib zlib$(CS).lib"
-		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/orxonox_properties.vsprops
===================================================================
--- code/trunk/visual_studio/orxonox_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="orxonox_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;OGRE_GUIRENDERER_EXPORTS"
-		UsePrecompiledHeader="2"
-		PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib CEGUIBase$(CS).lib"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-		IgnoreDefaultLibraryNames=""
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/tixml_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tixml_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tixml_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/tolua_app_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua_app_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_app_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
-		CompileAs="1"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/tolua_gen_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua_gen_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_gen_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		CompileAs="1"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/tolua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/tolua_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="TOLUA_SHARED_BUILD"
-		CompileAs="1"
-		DisableSpecificWarnings="4996"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/util_properties.vsprops
===================================================================
--- code/trunk/visual_studio/util_properties.vsprops	(revision 1832)
+++ 	(revision )
@@ -1,17 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="util_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalOptions="/MP2"
-		PreprocessorDefinitions="UTIL_SHARED_BUILD"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib"
-	/>
-</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/audio_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/audio_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/audio_properties.vsprops	(revision 1836)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="audio_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="AUDIO_SHARED_BUILD"
+		DisableSpecificWarnings="4244"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="vorbisfile$(CSS).lib alut$(CS).lib OpenAL32$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/ceguilua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/ceguilua_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/ceguilua_properties.vsprops	(revision 1836)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ceguilua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="CEGUILUA_EXPORTS"
+		DisableSpecificWarnings="4996"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="CEGUIBase$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/core_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/core_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/core_properties.vsprops	(revision 1836)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="core_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="CORE_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/cpptcl_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/cpptcl_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/cpptcl_properties.vsprops	(revision 1836)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="cpptcl_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/lua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/lua_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/lua_properties.vsprops	(revision 1836)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="lua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+		DisableSpecificWarnings="4996"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/network_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/network_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/network_properties.vsprops	(revision 1836)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="network_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;WIN32_LEAN_AND_MEAN"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="enet$(CS).lib zlib$(CS).lib"
+		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/orxonox_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/orxonox_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/orxonox_properties.vsprops	(revision 1836)
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="orxonox_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="ORXONOX_NO_EXPORTS;NETWORK_STATIC_BUILD;OGRE_GUIRENDERER_EXPORTS"
+		UsePrecompiledHeader="2"
+		PrecompiledHeaderThrough="OrxonoxStableHeaders.h"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet$(CS).lib zlib$(CS).lib CEGUIBase$(CS).lib"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+		IgnoreDefaultLibraryNames=""
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tixml_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tixml_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/tixml_properties.vsprops	(revision 1836)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tixml_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua_app_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua_app_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/tolua_app_properties.vsprops	(revision 1836)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_app_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="TOLUA_STATIC_BUILD"
+		CompileAs="1"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua_gen_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua_gen_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/tolua_gen_properties.vsprops	(revision 1836)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_gen_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/tolua_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/tolua_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/tolua_properties.vsprops	(revision 1836)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="TOLUA_SHARED_BUILD"
+		CompileAs="1"
+		DisableSpecificWarnings="4996"
+	/>
+</VisualStudioPropertySheet>
Index: code/trunk/visual_studio/vc8/util_properties.vsprops
===================================================================
--- code/trunk/visual_studio/vc8/util_properties.vsprops	(revision 1836)
+++ code/trunk/visual_studio/vc8/util_properties.vsprops	(revision 1836)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="util_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalOptions="/MP2"
+		PreprocessorDefinitions="UTIL_SHARED_BUILD"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="OgreMain$(CSS).lib"
+	/>
+</VisualStudioPropertySheet>