Index: code/trunk/src/core/BaseObject.h
===================================================================
--- code/trunk/src/core/BaseObject.h	(revision 1840)
+++ code/trunk/src/core/BaseObject.h	(revision 1841)
@@ -41,5 +41,5 @@
 #include "Super.h"
 #include "OrxonoxClass.h"
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 
 namespace orxonox
Index: code/trunk/src/core/Namespace.h
===================================================================
--- code/trunk/src/core/Namespace.h	(revision 1840)
+++ code/trunk/src/core/Namespace.h	(revision 1841)
@@ -34,5 +34,5 @@
 #include <map>
 
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 #include "BaseObject.h"
 
Index: code/trunk/src/core/Super.h
===================================================================
--- code/trunk/src/core/Super.h	(revision 1840)
+++ code/trunk/src/core/Super.h	(revision 1841)
@@ -72,5 +72,5 @@
 
 #include "util/Debug.h"
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 
 ///////////////////////
Index: code/trunk/src/core/XMLIncludes.h
===================================================================
--- code/trunk/src/core/XMLIncludes.h	(revision 1841)
+++ code/trunk/src/core/XMLIncludes.h	(revision 1841)
@@ -0,0 +1,73 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file XMLIncludes.h
+    @brief Forward declarations of some XML classes.
+*/
+
+#include "CorePrereqs.h"
+
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+class TiXmlString;
+class TiXmlOutStream;
+class TiXmlNode;
+class TiXmlHandle;
+class TiXmlDocument;
+class TiXmlElement;
+class TiXmlComment;
+class TiXmlUnknown;
+class TiXmlAttribute;
+class TiXmlText;
+class TiXmlDeclaration;
+class TiXmlParsingData;
+
+namespace ticpp
+{
+    class Document;
+    class Element;
+    class Declaration;
+    class StylesheetReference;
+    class Text;
+    class Comment;
+    class Attribute;
+}
+
+namespace orxonox
+{
+    typedef ticpp::Document Document;
+    typedef ticpp::Element Element;
+    typedef ticpp::Declaration Declaration;
+    typedef ticpp::StylesheetReference StylesheetReference;
+    typedef ticpp::Text Text;
+    typedef ticpp::Comment Comment;
+    typedef ticpp::Attribute Attribute;
+}
Index: code/trunk/src/core/XMLPort.h
===================================================================
--- code/trunk/src/core/XMLPort.h	(revision 1840)
+++ code/trunk/src/core/XMLPort.h	(revision 1841)
@@ -33,7 +33,7 @@
 
 #include "util/Debug.h"
-#include "util/XMLIncludes.h"
 #include "util/MultiType.h"
 #include "tinyxml/ticpp.h"
+#include "XMLIncludes.h"
 #include "Executor.h"
 #include "CoreIncludes.h"
Index: code/trunk/src/network/Synchronisable.h
===================================================================
--- code/trunk/src/network/Synchronisable.h	(revision 1840)
+++ code/trunk/src/network/Synchronisable.h	(revision 1841)
@@ -34,5 +34,5 @@
 #include <list>
 #include "core/OrxonoxClass.h"
-#include "util/XMLIncludes.h"
+#include "core/XMLIncludes.h"
 #include "NetworkCallback.h"
 
Index: code/trunk/src/orxonox/OrxonoxStableHeaders.h
===================================================================
--- code/trunk/src/orxonox/OrxonoxStableHeaders.h	(revision 1840)
+++ code/trunk/src/orxonox/OrxonoxStableHeaders.h	(revision 1841)
@@ -79,5 +79,4 @@
 #include "util/String.h"
 #include "util/SubString.h"
-#include "util/XMLIncludes.h"
 
 #include "core/BaseObject.h"
@@ -87,4 +86,5 @@
 #include "core/CommandExecutor.h"
 #include "core/Executor.h"
+#include "core/XMLIncludes.h"
 #include "core/XMLPort.h"
 
Index: code/trunk/src/orxonox/gui/OgreCEGUIRenderer.h
===================================================================
--- code/trunk/src/orxonox/gui/OgreCEGUIRenderer.h	(revision 1840)
+++ code/trunk/src/orxonox/gui/OgreCEGUIRenderer.h	(revision 1841)
@@ -38,6 +38,7 @@
 #include <OgreTextureUnitState.h>
 
-#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !defined(OGRE_STATIC_LIB)
-#   ifdef OGRE_GUIRENDERER_EXPORTS
+/** CHANGES MADE BY ORXONOX TO FIT DLL IMPORT/EXPORT **/
+#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !(defined(ORXONOX_STATIC_BUILD) || defined(ORXONOX_NO_EXPORTS))
+#   ifdef ORXONOX_SHARED_BUILD
 #       define OGRE_GUIRENDERER_API __declspec(dllexport)
 #   else
Index: code/trunk/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/trunk/src/orxonox/objects/WorldEntity.h	(revision 1840)
+++ code/trunk/src/orxonox/objects/WorldEntity.h	(revision 1841)
@@ -35,9 +35,9 @@
 #include <OgreSceneNode.h>
 #include "util/Math.h"
-#include "util/XMLIncludes.h"
 #include "network/Synchronisable.h"
+#include "core/XMLIncludes.h"
 #include "core/BaseObject.h"
 #include "Tickable.h"
-#include "../tools/Mesh.h"
+#include "tools/Mesh.h"
 
 namespace orxonox
Index: code/trunk/src/util/Sleep.h
===================================================================
--- code/trunk/src/util/Sleep.h	(revision 1840)
+++ code/trunk/src/util/Sleep.h	(revision 1841)
@@ -39,9 +39,5 @@
 
 #if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
-
-#ifndef WIN32_LEAN_AND_MEAN
-# define WIN32_LEAN_AND_MEAN
-#endif
-#include <windows.h>
+#include <winbase.h>
 
 inline void usleep(DWORD dwMicroseconds)
Index: code/trunk/src/util/XMLIncludes.h
===================================================================
--- code/trunk/src/util/XMLIncludes.h	(revision 1840)
+++ 	(revision )
@@ -1,73 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file XMLIncludes.h
-    @brief Forward declarations of some XML classes.
-*/
-
-#include "UtilPrereqs.h"
-
-//-----------------------------------------------------------------------
-// Forward declarations
-//-----------------------------------------------------------------------
-
-class TiXmlString;
-class TiXmlOutStream;
-class TiXmlNode;
-class TiXmlHandle;
-class TiXmlDocument;
-class TiXmlElement;
-class TiXmlComment;
-class TiXmlUnknown;
-class TiXmlAttribute;
-class TiXmlText;
-class TiXmlDeclaration;
-class TiXmlParsingData;
-
-namespace ticpp
-{
-    class Document;
-    class Element;
-    class Declaration;
-    class StylesheetReference;
-    class Text;
-    class Comment;
-    class Attribute;
-}
-
-namespace orxonox
-{
-    typedef ticpp::Document Document;
-    typedef ticpp::Element Element;
-    typedef ticpp::Declaration Declaration;
-    typedef ticpp::StylesheetReference StylesheetReference;
-    typedef ticpp::Text Text;
-    typedef ticpp::Comment Comment;
-    typedef ticpp::Attribute Attribute;
-}