Index: code/branches/orxonox_tutorial/src/ceguilua-0.5.0b/ceguilua/CEGUILua.cpp
===================================================================
--- code/branches/orxonox_tutorial/src/ceguilua-0.5.0b/ceguilua/CEGUILua.cpp	(revision 1833)
+++ code/branches/orxonox_tutorial/src/ceguilua-0.5.0b/ceguilua/CEGUILua.cpp	(revision 1846)
@@ -38,6 +38,4 @@
 #include "tolua/tolua++.h"
 
-#include "tolua++.h"
-
 // prototype for bindings initialisation function
 int tolua_CEGUI_open(lua_State* tolua_S);
Index: code/branches/orxonox_tutorial/src/core/BaseObject.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/BaseObject.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/core/BaseObject.h	(revision 1846)
@@ -41,5 +41,5 @@
 #include "Super.h"
 #include "OrxonoxClass.h"
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 
 namespace orxonox
Index: code/branches/orxonox_tutorial/src/core/CMakeLists.txt
===================================================================
--- code/branches/orxonox_tutorial/src/core/CMakeLists.txt	(revision 1833)
+++ code/branches/orxonox_tutorial/src/core/CMakeLists.txt	(revision 1846)
@@ -56,5 +56,5 @@
 GET_TARGET_PROPERTY(TOLUA_EXE tolua_orxonox LOCATION)
 ADD_CUSTOM_COMMAND(
-  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc
+  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.h
   COMMAND ${TOLUA_EXE} -n Core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg
   DEPENDS
@@ -70,4 +70,6 @@
 TARGET_LINK_LIBRARIES(core
   ${OGRE_LIBRARIES}
+  ${Boost_thread_LIBRARIES}
+  ${Boost_filesystem_LIBRARIES}
   lua_orxonox
   cpptcl_orxonox
@@ -76,5 +78,3 @@
   tolualib_orxonox
   util
-  ${Boost_thread_LIBRARIES}
-  ${Boost_filesystem_LIBRARIES}
 )
Index: code/branches/orxonox_tutorial/src/core/Namespace.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/Namespace.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/core/Namespace.h	(revision 1846)
@@ -34,5 +34,5 @@
 #include <map>
 
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 #include "BaseObject.h"
 
Index: code/branches/orxonox_tutorial/src/core/Super.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/Super.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/core/Super.h	(revision 1846)
@@ -72,5 +72,5 @@
 
 #include "util/Debug.h"
-#include "util/XMLIncludes.h"
+#include "XMLIncludes.h"
 
 ///////////////////////
Index: code/branches/orxonox_tutorial/src/core/XMLPort.h
===================================================================
--- code/branches/orxonox_tutorial/src/core/XMLPort.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/core/XMLPort.h	(revision 1846)
@@ -33,7 +33,7 @@
 
 #include "util/Debug.h"
-#include "util/XMLIncludes.h"
 #include "util/MultiType.h"
 #include "tinyxml/ticpp.h"
+#include "XMLIncludes.h"
 #include "Executor.h"
 #include "CoreIncludes.h"
Index: code/branches/orxonox_tutorial/src/network/ConnectionManager.cc
===================================================================
--- code/branches/orxonox_tutorial/src/network/ConnectionManager.cc	(revision 1833)
+++ code/branches/orxonox_tutorial/src/network/ConnectionManager.cc	(revision 1846)
@@ -37,4 +37,6 @@
 // Author:  Oliver Scheuss
 //
+
+#include "ConnectionManager.h"
 
 #include <iostream>
@@ -51,5 +53,4 @@
 #include "util/Sleep.h"
 #include "ClientInformation.h"
-#include "ConnectionManager.h"
 #include "Synchronisable.h"
 #include "packet/ClassID.h"
Index: code/branches/orxonox_tutorial/src/network/Synchronisable.cc
===================================================================
--- code/branches/orxonox_tutorial/src/network/Synchronisable.cc	(revision 1833)
+++ code/branches/orxonox_tutorial/src/network/Synchronisable.cc	(revision 1846)
@@ -41,5 +41,5 @@
 #include "Synchronisable.h"
 
-#include <string>
+#include <cstring>
 #include <iostream>
 #include <assert.h>
Index: code/branches/orxonox_tutorial/src/network/Synchronisable.h
===================================================================
--- code/branches/orxonox_tutorial/src/network/Synchronisable.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/network/Synchronisable.h	(revision 1846)
@@ -34,5 +34,5 @@
 #include <list>
 #include "core/OrxonoxClass.h"
-#include "util/XMLIncludes.h"
+#include "core/XMLIncludes.h"
 #include "NetworkCallback.h"
 
Index: code/branches/orxonox_tutorial/src/network/packet/Chat.h
===================================================================
--- code/branches/orxonox_tutorial/src/network/packet/Chat.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/network/packet/Chat.h	(revision 1846)
@@ -4,4 +4,5 @@
 
 #include <string>
+#include <cstring>
 
 #include "Packet.h"
Index: code/branches/orxonox_tutorial/src/network/packet/ClassID.cc
===================================================================
--- code/branches/orxonox_tutorial/src/network/packet/ClassID.cc	(revision 1833)
+++ code/branches/orxonox_tutorial/src/network/packet/ClassID.cc	(revision 1846)
@@ -31,5 +31,5 @@
 #include "ClassID.h"
 #include "core/CoreIncludes.h"
-#include <string>
+#include <cstring>
 #include <assert.h>
 
Index: code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt	(revision 1833)
+++ code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt	(revision 1846)
@@ -34,6 +34,4 @@
   overlays/hud/HUDSpeedBar.cc
 
-  tolua/tolua_bind.cc
-
   tools/BillboardSet.cc
   tools/Light.cc
@@ -64,9 +62,11 @@
   objects/RotatingProjectile.cc
   objects/ParticleProjectile.cc
+
+  tolua/tolua_bind.cc
 )
 
 GET_TARGET_PROPERTY(TOLUA_EXE tolua_orxonox LOCATION)
 ADD_CUSTOM_COMMAND(
-  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc
+  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.cc ${CMAKE_CURRENT_SOURCE_DIR}/tolua/tolua_bind.h
   COMMAND ${TOLUA_EXE} -n Orxonox -o ../../src/orxonox/tolua/tolua_bind.cc -H ../../src/orxonox/tolua/tolua_bind.h ../../src/orxonox/tolua/tolua.pkg
   DEPENDS
@@ -105,5 +105,4 @@
   tinyxml_orxonox
   tolualib_orxonox
-  ois_orxonox
   util
   core
Index: code/branches/orxonox_tutorial/src/orxonox/OrxonoxStableHeaders.h
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/OrxonoxStableHeaders.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/orxonox/OrxonoxStableHeaders.h	(revision 1846)
@@ -79,5 +79,4 @@
 #include "util/String.h"
 #include "util/SubString.h"
-#include "util/XMLIncludes.h"
 
 #include "core/BaseObject.h"
@@ -87,4 +86,5 @@
 #include "core/CommandExecutor.h"
 #include "core/Executor.h"
+#include "core/XMLIncludes.h"
 #include "core/XMLPort.h"
 
Index: code/branches/orxonox_tutorial/src/orxonox/SignalHandler.cc
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/SignalHandler.cc	(revision 1833)
+++ code/branches/orxonox_tutorial/src/orxonox/SignalHandler.cc	(revision 1846)
@@ -38,4 +38,6 @@
 #include <assert.h>
 #include <iostream>
+#include <cstdlib>
+#include <cstring>
 
 SignalHandler * SignalHandler::singletonRef = NULL;
Index: code/branches/orxonox_tutorial/src/orxonox/gui/OgreCEGUIRenderer.h
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/gui/OgreCEGUIRenderer.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/orxonox/gui/OgreCEGUIRenderer.h	(revision 1846)
@@ -38,6 +38,7 @@
 #include <OgreTextureUnitState.h>
 
-#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !defined(OGRE_STATIC_LIB)
-#   ifdef OGRE_GUIRENDERER_EXPORTS
+/** CHANGES MADE BY ORXONOX TO FIT DLL IMPORT/EXPORT **/
+#if (OGRE_PLATFORM == OGRE_PLATFORM_WIN32) && !(defined(ORXONOX_STATIC_BUILD) || defined(ORXONOX_NO_EXPORTS))
+#   ifdef ORXONOX_SHARED_BUILD
 #       define OGRE_GUIRENDERER_API __declspec(dllexport)
 #   else
Index: code/branches/orxonox_tutorial/src/orxonox/objects/WorldEntity.h
===================================================================
--- code/branches/orxonox_tutorial/src/orxonox/objects/WorldEntity.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/orxonox/objects/WorldEntity.h	(revision 1846)
@@ -35,9 +35,9 @@
 #include <OgreSceneNode.h>
 #include "util/Math.h"
-#include "util/XMLIncludes.h"
 #include "network/Synchronisable.h"
+#include "core/XMLIncludes.h"
 #include "core/BaseObject.h"
 #include "Tickable.h"
-#include "../tools/Mesh.h"
+#include "tools/Mesh.h"
 
 namespace orxonox
Index: code/branches/orxonox_tutorial/src/util/CMakeLists.txt
===================================================================
--- code/branches/orxonox_tutorial/src/util/CMakeLists.txt	(revision 1833)
+++ code/branches/orxonox_tutorial/src/util/CMakeLists.txt	(revision 1846)
@@ -20,4 +20,3 @@
 TARGET_LINK_LIBRARIES(util
   ${OGRE_LIBRARIES}
-  ${Lua_LIBRARIES}
 )
Index: code/branches/orxonox_tutorial/src/util/Convert.h
===================================================================
--- code/branches/orxonox_tutorial/src/util/Convert.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/util/Convert.h	(revision 1846)
@@ -39,4 +39,5 @@
 #include <string>
 #include <sstream>
+#include <typeinfo>
 
 #include "Math.h"
Index: code/branches/orxonox_tutorial/src/util/Math.h
===================================================================
--- code/branches/orxonox_tutorial/src/util/Math.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/util/Math.h	(revision 1846)
@@ -220,5 +220,5 @@
 inline _UtilExport float rnd()
 {
-    return ((float)rand() / (RAND_MAX + 1));
+    return rand() / (RAND_MAX + 1.0);
 }
 
Index: code/branches/orxonox_tutorial/src/util/Sleep.h
===================================================================
--- code/branches/orxonox_tutorial/src/util/Sleep.h	(revision 1833)
+++ code/branches/orxonox_tutorial/src/util/Sleep.h	(revision 1846)
@@ -39,9 +39,5 @@
 
 #if ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32
-
-#ifndef WIN32_LEAN_AND_MEAN
-# define WIN32_LEAN_AND_MEAN
-#endif
-#include <windows.h>
+#include <winbase.h>
 
 inline void usleep(DWORD dwMicroseconds)
Index: code/branches/orxonox_tutorial/src/util/XMLIncludes.h
===================================================================
--- code/branches/orxonox_tutorial/src/util/XMLIncludes.h	(revision 1833)
+++ 	(revision )
@@ -1,73 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file XMLIncludes.h
-    @brief Forward declarations of some XML classes.
-*/
-
-#include "UtilPrereqs.h"
-
-//-----------------------------------------------------------------------
-// Forward declarations
-//-----------------------------------------------------------------------
-
-class TiXmlString;
-class TiXmlOutStream;
-class TiXmlNode;
-class TiXmlHandle;
-class TiXmlDocument;
-class TiXmlElement;
-class TiXmlComment;
-class TiXmlUnknown;
-class TiXmlAttribute;
-class TiXmlText;
-class TiXmlDeclaration;
-class TiXmlParsingData;
-
-namespace ticpp
-{
-    class Document;
-    class Element;
-    class Declaration;
-    class StylesheetReference;
-    class Text;
-    class Comment;
-    class Attribute;
-}
-
-namespace orxonox
-{
-    typedef ticpp::Document Document;
-    typedef ticpp::Element Element;
-    typedef ticpp::Declaration Declaration;
-    typedef ticpp::StylesheetReference StylesheetReference;
-    typedef ticpp::Text Text;
-    typedef ticpp::Comment Comment;
-    typedef ticpp::Attribute Attribute;
-}