Index: /code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt	(revision 1846)
+++ /code/branches/orxonox_tutorial/src/orxonox/CMakeLists.txt	(revision 1847)
@@ -56,4 +56,5 @@
   objects/SpaceShipAI.cc
   objects/Tickable.cc
+  objects/TutorialShip.cc
   objects/WorldEntity.cc
 
Index: /code/branches/orxonox_tutorial/src/orxonox/objects/TutorialShip.cc
===================================================================
--- /code/branches/orxonox_tutorial/src/orxonox/objects/TutorialShip.cc	(revision 1847)
+++ /code/branches/orxonox_tutorial/src/orxonox/objects/TutorialShip.cc	(revision 1847)
@@ -0,0 +1,88 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver 'greenman' Scheuss, Reto '1337' Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+// for precompiled header files. Has to be first!
+#include "OrxonoxStableHeaders.h"
+// always include this class's header file first so that it compiles on its own too.
+#include "TutorialShip.h"
+
+// Additional includes
+#include <OgreSceneNode.h>
+#include "util/Convert.h"
+#include "util/Debug.h"
+#include "util/Math.h"
+#include "core/ConfigValueIncludes.h"
+#include "core/ConsoleCommand.h"
+#include "core/CoreIncludes.h"
+#include "core/input/InputManager.h"
+#include "core/XMLPort.h"
+
+namespace orxonox
+{
+    SetConsoleCommand(TutorialShip, fire, true);
+
+    TutorialShip::TutorialShip()
+    {
+        RegisterObject(TutorialShip);
+
+        // reset variables
+    }
+
+    TutorialShip::~TutorialShip()
+    {
+    }
+
+    
+    void SpaceShip::setConfigValues()
+    {
+        //SetConfigValue(bInvertYAxis_, false).description("Set this to true for joystick-like mouse behaviour (mouse up = ship down).");
+        //SetConfigValue(reloadTime_, 0.125).description("The reload time of the weapon in seconds");
+        //SetConfigValue(testvector_, Vector3()).description("asdfblah");
+    }
+
+    
+    /**
+        @brief XML loading and saving.
+        @param xmlelement The XML-element
+        @param loading Loading (true) or saving (false)
+        @return The XML-element
+    */
+    void SpaceShip::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(TutorialShip, XMLPort, xmlelement, mode);
+
+        //XMLPortParam(SpaceShip, "camera", setCamera, getCamera, xmlelement, mode);
+    }
+
+    
+    void SpaceShip::tick(float dt)
+    {
+        SUPER(TutorialShip, tick, dt);
+    }
+
+}
Index: /code/branches/orxonox_tutorial/src/orxonox/objects/TutorialShip.h
===================================================================
--- /code/branches/orxonox_tutorial/src/orxonox/objects/TutorialShip.h	(revision 1847)
+++ /code/branches/orxonox_tutorial/src/orxonox/objects/TutorialShip.h	(revision 1847)
@@ -0,0 +1,61 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Oliver 'greenman' Scheuss, Reto '1337' Grieder
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _TutorialShip_H__
+#define _TutorialShip_H__
+#include <string>
+#include "OrxonoxPrereqs.h"
+#include <OgrePrerequisites.h>
+
+#include "util/Math.h"
+#include "Camera.h"
+#include "Model.h"
+#include "RadarViewable.h"
+#include "tools/BillboardSet.h"
+
+namespace orxonox
+{
+    class _OrxonoxExport TutorialShip : public SpaceShip
+    {
+        public:
+            TutorialShip();
+            ~TutorialShip();
+
+        private:
+            bool create();
+            void registerAllVariables();
+            void setConfigValues();
+            void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            void tick(float dt);
+
+            // Methods for console commands
+            static void fire();
+    };
+}
+
+#endif /* _TutorialShip_H__ */
Index: /code/branches/orxonox_tutorial/visual_studio/vc8/orxonox.vcproj
===================================================================
--- /code/branches/orxonox_tutorial/visual_studio/vc8/orxonox.vcproj	(revision 1846)
+++ /code/branches/orxonox_tutorial/visual_studio/vc8/orxonox.vcproj	(revision 1847)
@@ -292,4 +292,24 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\SpaceShip_backend.cc"
+					>
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\SpaceShipAI.cc"
 					>
@@ -297,4 +317,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\TutorialShip.cc"
 					>
 				</File>
@@ -653,4 +677,8 @@
 				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\orxonox\objects\TutorialShip.h"
 					>
 				</File>